## evolution-ews 3.2.1

=== debian/changelog ===
evolution-ews (3.2.1-1) experimental; urgency=low

  * Initial release. Closes: #648435.
  * 01_deprecated.patch: don’t use *_DISABLE_DEPRECATED macros.
  * 02_liblzx_noinst.patch: make liblzx a private library, there is no 
    point in installing it.
  * Use dh-autoreconf.
  * Remove useless .la files.

 -- Josselin Mouette <joss@debian.org>  Fri, 11 Nov 2011 15:45:04 +0100

## evolution-ews 3.28.1

=== CMakeLists.txt ===
# Evolution-EWS build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-ews
	VERSION 3.28.1
	LANGUAGES C)
set(PROJECT_BUGREPORT "http://bugzilla.gnome.org/enter_bug.cgi?product=evolution-ews")

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'ditcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_TESTS=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.46)
set(glib_encoded_version GLIB_VERSION_2_46)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.10)
set(gdk_encoded_version GDK_VERSION_3_10)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.42)
set(soup_encoded_version SOUP_VERSION_2_42)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(mspack_minimum_version 0.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCSourceCompiles)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

if(${ENABLE_MAINTAINER_MODE})
	add_definitions(-DEDS_DISABLE_DEPRECATED=1)
endif(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

pkg_check_modules(CAMEL REQUIRED camel-1.2>=${eds_minimum_version})
pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED evolution-data-server-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBACKEND REQUIRED libebackend-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBOOK REQUIRED libebook-1.2>=${eds_minimum_version})
pkg_check_modules(LIBECAL REQUIRED libecal-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATABOOK REQUIRED libedata-book-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATASERVER REQUIRED libedataserver-1.2>=${eds_minimum_version})

pkg_check_modules(EVOLUTION_SHELL REQUIRED evolution-shell-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_MAIL REQUIRED evolution-mail-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_CALENDAR REQUIRED evolution-calendar-3.0>=${evo_minimum_version})

pkg_check_modules(GNOME_PLATFORM REQUIRED
	glib-2.0>=${glib_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
)

pkg_check_modules(LIBICAL REQUIRED libical)
pkg_check_modules(SOUP REQUIRED libsoup-2.4>=${soup_minimum_version})

# ******************************
# libmspack with OAB support
# ******************************

add_printable_option(WITH_MSPACK "Use libmspack for OAB decompress" ON)

if(WITH_MSPACK)
	pkg_check_modules_for_option(WITH_MSPACK "libmspack for OAB decompress" MSPACK libmspack>=${mspack_minimum_version})
endif(WITH_MSPACK)

# ******************************
# SOUP_MESSAGE_IDEMPOTENT flag
# ******************************

set(CMAKE_REQUIRED_INCLUDES ${SOUP_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${SOUP_LDFLAGS})

CHECK_C_SOURCE_COMPILES("#include <libsoup/soup.h>
			int main(void) { SoupMessageFlags flag; flag = SOUP_MESSAGE_IDEMPOTENT; return 0; }" HAVE_SOUP_MESSAGE_IDEMPOTENT_FLAG)

unset(CMAKE_REQUIRED_INCLUDES)
unset(CMAKE_REQUIRED_LIBRARIES)

# ******************************
# uhttpmock for tests
# ******************************

add_printable_option(ENABLE_TESTS "Enable low level tests for EwsConnection" OFF)

if(ENABLE_TESTS)
	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-0.0)
endif(ENABLE_TESTS)

# ******************************
# Office365 OAuth2 support
# ******************************

add_printable_variable(WITH_OFFICE365_TENANT "Office365.com OAuth 2.0 tenant" "")

if(WITH_OFFICE365_TENANT STREQUAL "")
	set(WITH_OFFICE365_TENANT "")
endif(WITH_OFFICE365_TENANT STREQUAL "")

add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")

if(WITH_OFFICE365_CLIENT_ID STREQUAL "")
	set(WITH_OFFICE365_CLIENT_ID "")
endif(WITH_OFFICE365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_OFFICE365_REDIRECT_URI "Office365.com OAuth 2.0 redirect URI" "")

if(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")

# ******************************
# Special directories
# ******************************

set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")

pkg_check_variable(errordir evolution-shell-3.0 errordir)
pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
pkg_check_variable(ecal_backenddir libedata-cal-1.2 backenddir)
pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)
pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)

set(ewsdatadir "${ewsdatadir}/ews")

SET(CMAKE_INSTALL_RPATH "${privlibdir}:${evo_privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

# Generate the ${PROJECT_NAME}-config.h file
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.h)

print_build_options()

add_appdata_file(org.gnome.Evolution-ews.metainfo.xml.in org.gnome.Evolution-ews.metainfo.xml)

add_subdirectory(po)
add_subdirectory(src)

if(ENABLE_TESTS)
	add_subdirectory(tests)
endif(ENABLE_TESTS)

=== src/CMakeLists.txt ===
macro(add_simple_module _name _sourcesvar _depsvar _defsvar _cflagsvar _incdirsvar _ldflagsvar _destination)
	set(DEPENDENCIES
		evolution-ews
	)

	set(SOURCES
		${${_sourcesvar}}
	)

	add_library(${_name} MODULE
		${SOURCES}
	)

	set_target_properties(${_name} PROPERTIES
		PREFIX ""
	)

	add_dependencies(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
	)

	target_compile_definitions(${_name} PRIVATE
		-DG_LOG_DOMAIN=\"${_name}\"
		-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
		${${_defsvar}}
	)

	target_compile_options(${_name} PUBLIC
		${LIBEBACKEND_CFLAGS}
		${LIBEDATASERVER_CFLAGS}
		${SOUP_CFLAGS}
		${${_cflagsvar}}
	)

	target_include_directories(${_name} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_SOURCE_DIR}
		${LIBEBACKEND_INCLUDE_DIRS}
		${LIBEDATASERVER_INCLUDE_DIRS}
		${SOUP_INCLUDE_DIRS}
		${${_incdirsvar}}
	)

	target_link_libraries(${_name}
		${DEPENDENCIES}
		${${_depsvar}}
		${LIBEBACKEND_LDFLAGS}
		${LIBEDATASERVER_LDFLAGS}
		${SOUP_LDFLAGS}
		${${_ldflagsvar}}
	)

	install(TARGETS ${_name}
		DESTINATION ${_destination}
	)
endmacro(add_simple_module)

add_subdirectory(addressbook)
add_subdirectory(calendar)
add_subdirectory(camel)
add_subdirectory(collection)
add_subdirectory(configuration)
add_subdirectory(server)

=== src/camel/CMakeLists.txt ===
install(FILES libcamelews.urls
	DESTINATION ${camel_providerdir}
)

# *************************************************
# Installed private library which can be linked to
# *************************************************

glib_mkenums(camel-ews-enumtypes camel-ews-enums.h CAMEL_EWS_ENUMTYPES_H)

set(DEPENDENCIES
	evolution-ews
)

set(SOURCES
	camel-ews-enums.h
	camel-ews-folder.c
	camel-ews-folder.h
	camel-ews-message-info.c
	camel-ews-message-info.h
	camel-ews-private.h
	camel-ews-search.c
	camel-ews-search.h
	camel-ews-store-summary.c
	camel-ews-store-summary.h
	camel-ews-store.c
	camel-ews-store.h
	camel-ews-summary.c
	camel-ews-summary.h
	camel-ews-utils.c
	camel-ews-utils.h
	camel-ews-transport.c
	camel-ews-transport.h
	${CMAKE_CURRENT_BINARY_DIR}/camel-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/camel-ews-enumtypes.h
)

add_library(camelews-priv SHARED
	${SOURCES}
)

add_dependencies(camelews-priv
	${DEPENDENCIES}
)

target_compile_definitions(camelews-priv PRIVATE
	-DG_LOG_DOMAIN=\"camel-ews-provider\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelews-priv PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${EVOLUTION_MAIL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelews-priv PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelews-priv
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${EVOLUTION_MAIL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelews-priv
	DESTINATION ${privsolibdir}
)

# *************************************************
# Provider module
# *************************************************

set(DEPENDENCIES
	camelews-priv
	evolution-ews
)

set(SOURCES
	camel-ews-provider.c
)

add_library(camelews MODULE
	${SOURCES}
)

add_dependencies(camelews
	${DEPENDENCIES}
)

target_compile_definitions(camelews PRIVATE
	-DG_LOG_DOMAIN=\"camel-ews-provider\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${EVOLUTION_MAIL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${EVOLUTION_MAIL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelews
	DESTINATION ${camel_providerdir}
)

=== src/server/CMakeLists.txt ===
glib_mkenums(e-ews-enumtypes e-ews-enums.h E_EWS_ENUMTYPES_H)

set(SOURCES
	camel-ews-settings.c
	camel-ews-settings.h
	camel-sasl-xoauth2-office365.c
	camel-sasl-xoauth2-office365.h
	e-ews-calendar-utils.c
	e-ews-calendar-utils.h
	e-ews-camel-common.c
	e-ews-camel-common.h
	e-ews-connection.c
	e-ews-connection.h
	e-ews-connection-utils.c
	e-ews-connection-utils.h
	e-ews-debug.c
	e-ews-debug.h
	e-ews-folder.c
	e-ews-folder.h
	e-ews-item.c
	e-ews-item.h
	e-ews-item-change.c
	e-ews-item-change.h
	e-ews-message.c
	e-ews-message.h
	e-ews-notification.c
	e-ews-notification.h
	e-ews-oof-settings.c
	e-ews-query-to-restriction.c
	e-ews-query-to-restriction.h
	e-oauth2-service-office365.c
	e-oauth2-service-office365.h
	e-soup-auth-negotiate.c
	e-soup-auth-negotiate.h
	e-soap-message.c
	e-soap-message.h
	e-soap-response.c
	e-soap-response.h
	e-source-ews-folder.c
	e-source-ews-folder.h
	ews-errors.c
	ews-errors.h
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/e-ews-enumtypes.h
)

add_library(evolution-ews SHARED
	${SOURCES}
)

target_compile_definitions(evolution-ews PRIVATE
	-DG_LOG_DOMAIN=\"evolution-ews\"
)

target_compile_options(evolution-ews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBICAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(evolution-ews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBICAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(evolution-ews
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBICAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS evolution-ews
	DESTINATION ${privsolibdir}
)

## evolution-ews 3.2.2

=== debian/changelog ===
evolution-ews (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * 10_none_server.patch, 11_deleted_inbox.patch, 12_prefill_host.patch, 
    13_autodiscover.patch, 14_exchange_bizarre.patch, 
    15_contact_crash.patch: bug fixes from 3.2 upstream git.

 -- Josselin Mouette <joss@debian.org>  Fri, 16 Dec 2011 20:51:53 +0100

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.1
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 8),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               pkg-config,
               evolution-data-server-dev (>= 3.2.0),
               libedataserver1.2-dev (>= 3.2.0),
               libedataserverui-3.0-dev (>= 3.2.0),
               libebackend1.2-dev (>= 3.2.0),
               libecal1.2-dev (>= 3.2.0),
               libedata-cal1.2-dev (>= 3.2.0),
               libebook1.2-dev (>= 3.2.0),
               libedata-book1.2-dev (>= 3.2.0),
               libcamel1.2-dev (>= 3.2.0),
               evolution-dev (>= 3.2.0),
               libglib2.0-dev (>= 2.16.1),
               libgconf2-dev,
               libsoup2.4-dev (>= 2.30),
               intltool (>= 0.35.5),
               libgtk-3-dev (>= 2.90.4),
               libsqlite3-dev,
               libical-dev,
               gtk-doc-tools (>= 1.9)

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.2),
         evolution (<< 3.3)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act

binary-install/evolution-ews::
	find debian/evolution-ews -name \*.la -delete

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/evolution-ews/([\d\.]+)[02468]/evolution-ews-([\d\.]+)\.tar\.xz	debian	uupdate

## evolution-ews 3.4.4

=== debian/changelog ===
evolution-ews (3.4.4-2) stable; urgency=low

  * 01_freebusy.patch: patch from upstream git. Fix free/busy indicators 
    with Exhange 2013 servers.

 -- Josselin Mouette <joss@debian.org>  Fri, 11 Apr 2014 15:30:48 +0200

evolution-ews (3.4.4-1) unstable; urgency=low

  * New upstream bugfix release (closes: #681802). 

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Oct 2012 13:00:41 +0200

evolution-ews (3.4.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jun 2012 00:26:10 +0200

evolution-ews (3.4.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * Drop all patches except 02_liblzx_noinst.patch; they have
    been applied in the new upsteam release.

  [ Jordi Mallach ]
  * Bump to debhelper compat v9.
  * Update evolution dependency to 3.4.
  * Bump all evo build-deps to >= 3.4.0, as per configure.ac.
  * Fix watch file regexp.
  * Include util.mk and use the list-missing rule.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Jun 2012 16:58:14 +0200

evolution-ews (3.2.2-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Do not build with -Werror, to work around a FTBFS caused by new
    deprecated functions when building with GLib 2.32 (closes: #665669).
  * Add 03_individual_glib_headers.patch to fix FTBFS caused by the
    deprecation of individual GLib headers.
  * watch: do not uupdate.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.3, with no further changes.
  * Add DEP3 patch headers.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Mar 2012 19:45:20 +0200

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.3
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.4.0),
               evolution-data-server-dev (>= 3.4.0),
               libcamel1.2-dev (>= 3.4.0),
               libedataserver1.2-dev (>= 3.4.0),
               libedataserverui-3.0-dev (>= 3.4.0),
               libebackend1.2-dev (>= 3.4.0),
               libecal1.2-dev (>= 3.4.0),
               libedata-cal1.2-dev (>= 3.4.0),
               libebook1.2-dev (>= 3.4.0),
               libedata-book1.2-dev (>= 3.4.0),
               libglib2.0-dev (>= 2.16.1),
               libgconf2-dev,
               libgtk-3-dev (>= 2.90.4),
               libical-dev,
               libsoup2.4-dev (>= 2.30),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.4),
         evolution (<< 3.5)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act

binary-install/evolution-ews::
	find debian/evolution-ews -name \*.la -delete

common-binary-post-install-arch:: list-missing

## evolution-ews 3.6.0

=== debian/changelog ===
evolution-ews (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Update evolution dependencies to 3.6

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 24 Sep 2012 09:49:23 +1200

evolution-ews (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Sep 2012 10:20:37 +1200

evolution-ews (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 02 Sep 2012 15:18:38 +1200

evolution-ews (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Aug 2012 23:14:14 -0400

evolution-ews (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 07 Aug 2012 12:36:23 -0400

evolution-ews (3.5.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Build-Depends for eds/evo 3.5.
    - Drop Build-Depends on libgconf2-dev.
    - Update evolution-ews Depends to that it's installable and doesn't require
      evolution << 3.5; use >= 3.5.3, << 3.6 instead.
  * debian/patches/02_liblzx_noinst.patch: refreshed.
  * debian/patches/makefile_aclocal_amflags.patch: add ACLOCAL_AMFLAGS to top
    Makefile.am; as suggested by libtoolize -- unbreaks build.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 06 Jul 2012 00:27:26 -0400

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.3
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.6.0),
               evolution-data-server-dev (>= 3.6.0),
               libcamel1.2-dev (>= 3.6.0),
               libedataserver1.2-dev (>= 3.6.0),
               libedataserverui-3.0-dev (>= 3.6.0),
               libebackend1.2-dev (>= 3.6.0),
               libecal1.2-dev (>= 3.6.0),
               libedata-cal1.2-dev (>= 3.6.0),
               libebook1.2-dev (>= 3.6.0),
               libedata-book1.2-dev (>= 3.6.0),
               libglib2.0-dev (>= 2.28),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libsoup2.4-dev (>= 2.30),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.6.0),
         evolution (<< 3.8)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

## evolution-ews 3.6.1

=== debian/changelog ===
evolution-ews (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 11:36:10 +1300

evolution-ews (3.6.0-1) experimental; urgency=low

  * New upstream release.
  * Update build-depends as per configure.ac and drop libgconf2-dev.
  * Require evolution 3.6.
  * Add 01_aclocal_amflags.patch to fix build due to missing Kerberos5
    macros.
  * Refresh 02_liblzx_noinst.patch.
  * Pass --enable-gtk-doc and --with-krb5 to configure.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Oct 2012 17:34:14 +0200

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.3
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.6),
               evolution-data-server-dev (>= 3.6),
               libcamel1.2-dev (>= 3.6),
               libedataserver1.2-dev (>= 3.6),
               libedataserverui-3.0-dev (>= 3.6),
               libebackend1.2-dev (>= 3.6),
               libecal1.2-dev (>= 3.6),
               libedata-cal1.2-dev (>= 3.6),
               libebook1.2-dev (>= 3.6),
               libedata-book1.2-dev (>= 3.6),
               libglib2.0-dev (>= 2.28),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libkrb5-dev,
               libsoup2.4-dev (>= 2.30),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.6),
         evolution (<< 3.7)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 
+DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5 \
+			     --enable-gtk-doc
+
 binary-install/evolution-ews::
 	find debian/evolution-ews -name \*.la -delete

## evolution-ews 3.8.4

=== debian/changelog ===
evolution-ews (3.8.4-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/rules: Explicitly build with internal lzx since
    libmspack hasn't been packaged yet (See Debian #675556)
  * 02_liblzx_noinst.patch: Dropped, no longer necessary

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Jul 2013 18:49:27 -0400

evolution-ews (3.8.2-0ubuntu2) saucy; urgency=low

  * Build against libical 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 13:23:52 +0100

evolution-ews (3.8.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/control:
    - Drop libedataserverui-3.0-dev BD
    - Bump eds deps to 3.8              
    - Bump evolution requirement to 3.8

 -- Iain Lane <iain.lane@canonical.com>  Wed, 29 May 2013 13:45:28 +0100

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.3
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.8),
               evolution-data-server-dev (>= 3.8),
               libcamel1.2-dev (>= 3.8),
               libedataserver1.2-dev (>= 3.8),
               libebackend1.2-dev (>= 3.8),
               libecal1.2-dev (>= 3.8),
               libedata-cal1.2-dev (>= 3.8),
               libebook1.2-dev (>= 3.8),
               libedata-book1.2-dev (>= 3.8),
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libkrb5-dev,
               libsoup2.4-dev (>= 2.38.1),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.8),
         evolution (<< 3.9)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

## evolution-ews 3.8.5

=== debian/changelog ===
evolution-ews (3.8.5-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 19 Sep 2013 14:24:49 +0200

evolution-ews (3.8.5-1) experimental; urgency=low

  * Team upload.

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control:
    - Drop libedataserverui-3.0-dev BD
    - Update dependencies
  * debian/rules: Explicitly build with internal lzx since
    libmspack hasn't been packaged yet (See Debian #675556)
  * debian/patches/02_liblzx_noinst.patch: Dropped, no longer necessary

  [ Michael Biebl ]
  * Drop obsolete Dm-Upload-Allowed field.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add a lintian override for the rpath issue which is a result of linking
    against the evolution libraries (which are not supposed to be real system
    libraries).

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Sep 2013 22:00:58 +0200

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.4
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.8.5),
               evolution-data-server-dev (>= 3.8.5),
               libcamel1.2-dev (>= 3.8.5),
               libedataserver1.2-dev (>= 3.8.5),
               libebackend1.2-dev (>= 3.8.5),
               libecal1.2-dev (>= 3.8.5),
               libedata-cal1.2-dev (>= 3.8.5),
               libebook1.2-dev (>= 3.8.5),
               libedata-book1.2-dev (>= 3.8.5),
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libkrb5-dev,
               libsoup2.4-dev (>= 2.38.1),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.8.5),
         evolution (<< 3.9)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

## evolution-ews 3.10.2

=== debian/changelog ===
evolution-ews (3.10.2-0ubuntu2) trusty; urgency=low

  * Fix binary dependencies to require 3.10 

 -- Iain Lane <iain.lane@canonical.com>  Thu, 21 Nov 2013 09:13:36 +0000

evolution-ews (3.10.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Add patch to require evo 3.10, not our exact upstream version
  * Update build-dep versions

 -- Iain Lane <iain.lane@canonical.com>  Wed, 20 Nov 2013 17:32:04 +0000

evolution-ews (3.8.5-2ubuntu1) trusty; urgency=low

  * Relax evolution build-dependencies since we have 3.8.4 and not 3.8.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 03 Nov 2013 20:06:48 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
 Uploaders: Heikki Henriksen <heikkih@gmail.com>,
            Lawrence Walton <lawrence@the-penguin.otak.com>,
            Loic Minier <lool@dooz.org>,
@@ -20,15 +21,15 @@
                cdbs (>= 0.4.37),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.8.5),
-               evolution-data-server-dev (>= 3.8.5),
-               libcamel1.2-dev (>= 3.8.5),
-               libedataserver1.2-dev (>= 3.8.5),
-               libebackend1.2-dev (>= 3.8.5),
-               libecal1.2-dev (>= 3.8.5),
-               libedata-cal1.2-dev (>= 3.8.5),
-               libebook1.2-dev (>= 3.8.5),
-               libedata-book1.2-dev (>= 3.8.5),
+               evolution-dev (>= 3.10),
+               evolution-data-server-dev (>= 3.10),
+               libcamel1.2-dev (>= 3.10),
+               libedataserver1.2-dev (>= 3.10),
+               libebackend1.2-dev (>= 3.10),
+               libecal1.2-dev (>= 3.10),
+               libedata-cal1.2-dev (>= 3.10),
+               libebook1.2-dev (>= 3.10),
+               libedata-book1.2-dev (>= 3.10),
                libglib2.0-dev (>= 2.32),
                libgtk-3-dev (>= 3.0),
                libical-dev,
@@ -42,8 +43,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         evolution (>= 3.8.5),
-         evolution (<< 3.9)
+         evolution (>= 3.10),
+         evolution (<< 3.11)
 Description: Exchange Web Services integration for Evolution
  This package allows the Evolution mail and groupware suite to connect 
  to Microsoft Exchange servers using the Exchange Web Services interface.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 
 DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5 \
-			     --enable-gtk-doc
+			     --enable-gtk-doc \
+			     --with-internal-lzx
 
 binary-install/evolution-ews::
 	find debian/evolution-ews -name \*.la -delete

## evolution-ews 3.12.7

=== debian/changelog ===
evolution-ews (3.12.7-1) unstable; urgency=medium

  * Make sure to not build with -Bsymbolic-functions in LDFLAGS - this causes
    evolution to hang. (See bgo#594473 for details)
  * New upstream release 3.12.7
  * debian/control: Bump Standards-Version to 3.9.6, no changes required
  * debian/control: Bump e-d-s/evo BDs to >= 3.12.7, per configure.ac

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 13 Oct 2014 15:42:02 +0100

evolution-ews (3.12.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump e-d-s BDs to >= 3.12.6

 -- Iain Lane <laney@debian.org>  Wed, 17 Sep 2014 17:17:59 +0100

evolution-ews (3.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump e-d-s build dependencies to >= 3.12.1.
  * Update Homepage URL.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 14:25:26 +0200

evolution-ews (3.12.0-1) experimental; urgency=low

  * Team upload.

  [ Yves-Alexis Perez ]
  * Remove myself from uploaders, this should have been done a long time
    ago.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/patches/01_aclocal_amflags.patch:
    + Removed, fixed upstream.
  * debian/control:
    + Bump libsoup build dependency.
    + Bump evolution and e-d-s requirements for 3.12.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 28 Mar 2014 13:36:33 +0100

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Evolution
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.12.7),
               evolution-data-server-dev (>= 3.12.7),
               libcamel1.2-dev (>= 3.12.7),
               libedataserver1.2-dev (>= 3.12.7),
               libebackend1.2-dev (>= 3.12.7),
               libecal1.2-dev (>= 3.12.7),
               libedata-cal1.2-dev (>= 3.12.7),
               libebook1.2-dev (>= 3.12.7),
               libedata-book1.2-dev (>= 3.12.7),
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libkrb5-dev,
               libsoup2.4-dev (>= 2.42),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.12),
         evolution (<< 3.13)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.

## evolution-ews 3.12.9~git20141130.278fe7

=== debian/changelog ===
evolution-ews (3.12.9~git20141130.278fe7-1) unstable; urgency=medium

  * New upstream git snapshot from stable branch, includes only bugfixes 
    and translations.
  * Update evolution and e-d-s build-dependencies to 3.12.9~.
  * Require libmspack and stop building with the embedded code copy.

 -- Josselin Mouette <joss@debian.org>  Mon, 01 Dec 2014 12:49:49 +0100

=== debian/control ===
--- 
+++ 
@@ -19,18 +19,19 @@
                cdbs (>= 0.4.37),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.12.7),
-               evolution-data-server-dev (>= 3.12.7),
-               libcamel1.2-dev (>= 3.12.7),
-               libedataserver1.2-dev (>= 3.12.7),
-               libebackend1.2-dev (>= 3.12.7),
-               libecal1.2-dev (>= 3.12.7),
-               libedata-cal1.2-dev (>= 3.12.7),
-               libebook1.2-dev (>= 3.12.7),
-               libedata-book1.2-dev (>= 3.12.7),
+               evolution-dev (>= 3.12.9~),
+               evolution-data-server-dev (>= 3.12.9~),
+               libcamel1.2-dev (>= 3.12.9~),
+               libedataserver1.2-dev (>= 3.12.9~),
+               libebackend1.2-dev (>= 3.12.9~),
+               libecal1.2-dev (>= 3.12.9~),
+               libedata-cal1.2-dev (>= 3.12.9~),
+               libebook1.2-dev (>= 3.12.9~),
+               libedata-book1.2-dev (>= 3.12.9~),
                libglib2.0-dev (>= 2.32),
                libgtk-3-dev (>= 3.0),
                libical-dev,
+               libmspack-dev (>= 0.4),
                libkrb5-dev,
                libsoup2.4-dev (>= 2.42),
                intltool (>= 0.35.5),

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,13 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 
+# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
+ifneq (,$(LDFLAGS))
+  LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))
+endif
+
 DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5 \
-			     --enable-gtk-doc \
-			     --with-internal-lzx
+			     --enable-gtk-doc
 
 binary-install/evolution-ews::
 	find debian/evolution-ews -name \*.la -delete
